platform_driver_probe
Prev | Device Drivers Base | Next

## Name

platform_driver_probe — register driver for non-hotpluggable device

## Synopsis

`int __init_or_module platform_driver_probe (` | struct platform_driver * | drv,
| int (* | probe`(`struct platform_device *`)``)`;

## Arguments

`drv`

  platform driver structure

`probe`

  the driver probe routine, probably from an __init section

## Description

Use this instead of `platform_driver_register` when you know the device is not hotpluggable and has already been registered, and you want to remove its run-once `probe` infrastructure from memory after the driver has bound to the device.

One typical use for this would be with drivers for controllers integrated into system-on-chip processors, where the controller devices have been configured as part of board setup.

Returns zero if the driver registered and bound to a device, else returns a negative error code and with the driver not registered.

Prev | Up | Next
platform_driver_unregister | Home | bus_for_each_dev